diff -up -ru blobandconquer-0.92.orig/src/world/bsp.cpp blobandconquer-0.92/src/world/bsp.cpp
--- blobandconquer-0.92.orig/src/world/bsp.cpp	2008-04-25 17:38:11.000000000 +0200
+++ blobandconquer-0.92/src/world/bsp.cpp	2008-05-26 11:05:24.000000000 +0200
@@ -20,6 +20,20 @@ Foundation, Inc., 59 Temple Place - Suit
 
 #include "bsp.h"
 
+#if SDL_BYTEORDER != SDL_LIL_ENDIAN
+
+static float
+swapBytes(float f)
+{
+	union { float f; unsigned u; } fu;
+
+	fu.f = f;
+	fu.u = SDL_Swap32(fu.u);
+	return fu.f;
+}
+
+#endif
+
 #define TESSELATION 10
 
 TextureSpec *getTextureSpec(const char *basename)
@@ -1534,18 +1548,3 @@ void loadBSP(const char *name)
 	
 	debug(("loadBSP() :: Done\n"));
 }
-
-float swapBytes(float f)
-{
-	unsigned int i;
-	Convert c1, c2;
-	
-	c1.f = f;
-	
-	for (i=0;i<sizeof(float);i++)
-	{
-		c2.i[sizeof(float) - (i + 1)] = c1.i[i];
-	}
-	
-	return c2.f;
-}
